Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.rssinput
Class RssInputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.rssinput.RssInputData

All Implemented Interfaces:
  StepDataInterface

    public class RssInputData

extends BaseStepData
implements StepDataInterface

Since:
  13-10-2007
Author:
  Samatar Hassan

Field Summary
`org.pentaho.di.core.row.RowMetaInterface` | `convertRowMeta`
`String` | `currenturl`
`SimpleDateFormat` | `daf`
`DateFormatSymbols` | `dafs`
`DecimalFormat` | `df`
`DecimalFormatSymbols` | `dfs`
`it.sauronsoftware.feed4j.bean.Feed` | `feed`
`int` | `indexOfUrlField`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`int` | `itemsnr`
`int` | `itemssize`
`boolean` | `last_url`
`String` | `lastline`
`String` | `nextline`
`NumberFormat` | `nf`
`int` | `nr_repeats`
`int` | `nrInputFields`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`String` | `PLUGIN_VERSION`
`Object[]` | `previousRow`
`Date` | `readfromdatevalide`
`Object[]` | `readrow`
`long` | `rownr`
`String` | `thisline`
`int` | `totalpreviousfields`
`int` | `urlnr`
`int` | `urlsize`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`RssInputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### thisline

    public String thisline

### nextline

    public String nextline

### lastline

    public String lastline

### previousRow

    public Object[] previousRow

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### convertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface convertRowMeta

### nr_repeats

    public int nr_repeats

### nf

    public NumberFormat nf

### df

    public DecimalFormat df

### dfs

    public DecimalFormatSymbols dfs

### daf

    public SimpleDateFormat daf

### dafs

    public DateFormatSymbols dafs

### readfromdatevalide

    public Date readfromdatevalide

### rownr

    public long rownr

### urlnr

    public int urlnr

### urlsize

    public int urlsize

### currenturl

    public String currenturl

### last_url

    public boolean last_url

### itemssize

    public int itemssize

### itemsnr

    public int itemsnr

### PLUGIN_VERSION

    public String PLUGIN_VERSION

### indexOfUrlField

    public int indexOfUrlField

### totalpreviousfields

    public int totalpreviousfields

### nrInputFields

    public int nrInputFields

### feed

    public it.sauronsoftware.feed4j.bean.Feed feed

### readrow

    public Object[] readrow

Constructor Detail

### RssInputData

    public RssInputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD